Random letters
Most popular
Newest
Latest
Дарова брателла!!! Ну как успехи в твои 19? Нашел себе девушку? Похудел? Я буду очень рад за тебя, если это так....

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Hey. I'm currently playing the song "The Reason" by Hoobastank. I know what you've been through for the past 5 years. Dealing with all your insecurities,flaws,imperfections but this song speaks to...

Read full letter

Dear Future You, I found this cute website on Wednesday, June 19th, 2019. Thought it'd be cool to send you an email a year in advance to say happy birthday. It's really cool that this may or may...

Read full letter

Hey buddy you should be at least a boss or a manager right now. If you already are then I guess it is time to lay all our cards. If you dont have any Idea what I am talking about then check the...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter